#######################################
##
##  Stoppuhr mit Timer und Button  
##  zum Starten und Stoppen
##
##  Autor: MUSTERLÖSUNG
##
#######################################               

from tkinter import *
from Digitaluhr2 import *

class BigLabel(Label):
    def __init__(self, **other):
        Label.__init__(self, **other)
        self.config(font=('Helvetica', 32))

class GUI(object):
    def __init__(self,datenmodell):
        self.uhr = datenmodell
        self.fenster = Tk()
        self.label = BigLabel(text=str(self.uhr))
        self.button = Button(text="Start",command=self.buttonClick)
        self.label.pack(padx=30,pady=10)
        self.button.pack(padx=30,pady=10)
        self.fenster.mainloop()
        
    def zeitZaehlen(self):
        if self.button.cget('text')=='Stop':
            self.uhr.weiter()
            self.label.config(text=str(self.uhr))
            # nach 1000 ms die Methode zeitZaehlen wieder aufrufen 
            self.fenster.after(1000,self.zeitZaehlen)

    def buttonClick(self):
        if self.button.cget('text')=='Start':
            self.button.config(text='Stop')
            self.zeitZaehlen()
        else:
            self.button.config(text='Start')

    
uhr = Digitaluhr()
gui = GUI(uhr)
