#######################################
##
##  Digitaluhr
##  Kursarbeit LK Informatik 11
##  02.11.2010
##
##  Autor: MUSTERLÖSUNG
##
#######################################               

class Digitalzaehler(object): 
    def __init__(self, m): 
        self.maximum = m 
        self.stand = 0 

    def weiter(self): 
        self.stand += 1 
        if self.stand == self.maximum: 
            self.stand = 0 

class Digitaluhr(object):
    def __init__(self):
        self.sekZaehler = Digitalzaehler(60)
        self.minZaehler = Digitalzaehler(60)
        self.stdZaehler = Digitalzaehler(24)

    def weiter(self):
        self.sekZaehler.weiter()
        if self.sekZaehler.stand == 0:
            self.minZaehler.weiter()
            if self.minZaehler.stand == 0:
                self.stdZaehler.weiter()

    def __str__(self):
        sekunden = str(self.sekZaehler.stand)
        if self.sekZaehler.stand < 10:
            sekunden = '0' + sekunden
        minuten = str(self.minZaehler.stand)
        if self.minZaehler.stand < 10:
            minuten = '0' + minuten
        stunden = str(self.stdZaehler.stand)
        if self.stdZaehler.stand < 10:
            stunden = '0' + stunden
        return stunden + ':' + minuten + ':' + sekunden
