from tkinter import *

class Malflaeche(object):

    def __init__(self,breite,hoehe):
        self.fenster = Tk()
        self.fenster.title('schwarzer Stift')
        self.flaeche = Canvas(self.fenster, width=breite,height=hoehe)
        self.flaeche.bind('<Button-1>',self.klicken)
        self.flaeche.bind('<Motion>',self.bewegen)
        self.flaeche.bind('<ButtonRelease-1>',self.loslassen)
        self.flaeche.pack()
        self.farbe = 'black'
        self.geklickt = False

        self.rot=Label(self.fenster,width=6,height=3,bg='red')
        self.gruen=Label(self.fenster,width=6,height=3,bg='green')
        self.blau=Label(self.fenster,width=6,height=3,bg='blue')
        self.schwarz=Label(self.fenster,width=6,height=3,bg='black')
        self.rot.bind('<1>',self.roterStift)
        self.gruen.bind('<1>',self.gruenerStift)
        self.blau.bind('<1>',self.blauerStift)
        self.schwarz.bind('<1>',self.schwarzerStift)
        self.rot.pack(side=LEFT)
        self.gruen.pack(side=LEFT)
        self.blau.pack(side=LEFT)
        self.schwarz.pack(side=LEFT)
        self.fenster.mainloop()

    def klicken(self,event):
        self.geklickt = True
        self.flaeche.create_oval(event.x,event.y,event.x+4,event.y+4,
                                 fill=self.farbe,outline=self.farbe)

    def bewegen(self,event):
        if self.geklickt:
            self.flaeche.create_oval(event.x,event.y,event.x+4,event.y+4,
                                     fill=self.farbe,outline=self.farbe)

    def loslassen(self,event):
        self.geklickt = False

    def roterStift(self,event):
        self.farbe = 'red'
        self.fenster.title('roter Stift')

    def gruenerStift(self,event):
        self.farbe = 'green'
        self.fenster.title('gruener Stift')

    def blauerStift(self,event):
        self.farbe = 'blue'
        self.fenster.title('blauer Stift')

    def schwarzerStift(self,event):
        self.farbe = 'black'
        self.fenster.title('schwarzer Stift')


m = Malflaeche(300,300)

